loci.formats.in

## Class MetamorphHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.MetamorphHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class MetamorphHandler
      extends loci.common.xml.BaseHandler

  MetamorphTiffReader is the file format reader for TIFF files produced by Metamorph software version 7.5 and above.
  Author:
    Melissa Linkert melissa at glencoesoftware.com, Thomas Caswell tcaswell at uchicago.edu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `binning`
    `private java.lang.String` | `channelName`
    `private java.util.Vector<java.lang.String>` | `channelNames`
    `private java.lang.String` | `date`
    `private boolean` | `dualCamera`
    `private java.util.Vector<java.lang.Double>` | `exposures`
    `private java.lang.Double` | `gain`
    `private java.lang.String` | `imageName`
    `private double` | `lensNA`
    `private double` | `lensRI`
    `private static org.slf4j.Logger` | `LOGGER`
    `private java.util.Hashtable` | `metadata`
    `private double` | `pixelSizeX`
    `private double` | `pixelSizeY`
    `private ome.units.quantity.Length` | `positionX`
    `private ome.units.quantity.Length` | `positionY`
    `private double` | `readOutRate`
    `private java.lang.String` | `stageLabel`
    `private double` | `temperature`
    `private java.util.Vector<java.lang.String>` | `timestamps`
    `private java.util.Vector<java.lang.Integer>` | `wavelengths`
    `private double` | `zoom`
    `private java.util.Vector<java.lang.Double>` | `zPositions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetamorphHandler()`
    `MetamorphHandler(java.util.Hashtable metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkKey(java.lang.String key, java.lang.String value)` Check if the value needs to be saved.
    `java.lang.String` | `getBinning()`
    `java.lang.String` | `getChannelName()`
    `java.util.Vector<java.lang.String>` | `getChannelNames()`
    `java.lang.String` | `getDate()`
    `java.util.Vector<java.lang.Double>` | `getExposures()`
    `java.lang.Double` | `getGain()`
    `java.lang.String` | `getImageName()`
    `double` | `getLensNA()`
    `double` | `getLensRI()`
    `double` | `getPixelSizeX()`
    `double` | `getPixelSizeY()`
    `double` | `getReadOutRate()`
    `java.lang.String` | `getStageLabel()`
    `ome.units.quantity.Length` | `getStagePositionX()`
    `ome.units.quantity.Length` | `getStagePositionY()`
    `double` | `getTemperature()`
    `java.util.Vector<java.lang.String>` | `getTimestamps()`
    `java.util.Vector<java.lang.Integer>` | `getWavelengths()`
    `double` | `getZoom()`
    `java.util.Vector<java.lang.Double>` | `getZPositions()`
    `boolean` | `hasDualCamera()`
    `private java.lang.Double` | `parseDouble(java.lang.String v)` Remove '+' before parsing doubles.
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER

          private static final org.slf4j.Logger LOGGER

    - #### metadata

          private java.util.Hashtable metadata

    - #### timestamps

          private java.util.Vector<java.lang.String> timestamps

    - #### imageName

          private java.lang.String imageName

    - #### date

          private java.lang.String date

    - #### wavelengths

          private java.util.Vector<java.lang.Integer> wavelengths

    - #### zPositions

          private java.util.Vector<java.lang.Double> zPositions

    - #### pixelSizeX

          private double pixelSizeX

    - #### pixelSizeY

          private double pixelSizeY

    - #### temperature

          private double temperature

    - #### lensNA

          private double lensNA

    - #### lensRI

          private double lensRI

    - #### binning

          private java.lang.String binning

    - #### readOutRate

          private double readOutRate

    - #### zoom

          private double zoom

    - #### positionX

          private ome.units.quantity.Length positionX

    - #### positionY

          private ome.units.quantity.Length positionY

    - #### exposures

          private java.util.Vector<java.lang.Double> exposures

    - #### channelName

          private java.lang.String channelName

    - #### channelNames

          private java.util.Vector<java.lang.String> channelNames

    - #### stageLabel

          private java.lang.String stageLabel

    - #### gain

          private java.lang.Double gain

    - #### dualCamera

          private boolean dualCamera

  - ### Constructor Detail

    - #### MetamorphHandler

          public MetamorphHandler()

    - #### MetamorphHandler

          public MetamorphHandler(java.util.Hashtable metadata)

  - ### Method Detail

    - #### getGain

          public java.lang.Double getGain()

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### getChannelNames

          public java.util.Vector<java.lang.String> getChannelNames()

    - #### getStageLabel

          public java.lang.String getStageLabel()

    - #### getTimestamps

          public java.util.Vector<java.lang.String> getTimestamps()

    - #### getWavelengths

          public java.util.Vector<java.lang.Integer> getWavelengths()

    - #### getZPositions

          public java.util.Vector<java.lang.Double> getZPositions()

    - #### getDate

          public java.lang.String getDate()

    - #### getImageName

          public java.lang.String getImageName()

    - #### getPixelSizeX

          public double getPixelSizeX()

    - #### getPixelSizeY

          public double getPixelSizeY()

    - #### getTemperature

          public double getTemperature()

    - #### getBinning

          public java.lang.String getBinning()

    - #### getReadOutRate

          public double getReadOutRate()

    - #### getZoom

          public double getZoom()

    - #### getStagePositionX

          public ome.units.quantity.Length getStagePositionX()

    - #### getStagePositionY

          public ome.units.quantity.Length getStagePositionY()

    - #### getLensNA

          public double getLensNA()

    - #### getLensRI

          public double getLensRI()

    - #### getExposures

          public java.util.Vector<java.lang.Double> getExposures()

    - #### hasDualCamera

          public boolean hasDualCamera()

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### checkKey

          private void checkKey(java.lang.String key,
                                java.lang.String value)

      Check if the value needs to be saved.

    - #### parseDouble

          private java.lang.Double parseDouble(java.lang.String v)

      Remove '+' before parsing doubles. Scientific notation values may be stored as -1e+006 or similar.

Copyright © 2026 Open Microscopy Environment